Retrieve all Tenant Accounts

View as Markdown

Retrieve all Tenant Accounts for the org.

The Infrastructure Provider and Tenant are inferred from the org’s membership. User must have authorization role with PROVIDER_ADMIN, PROVIDER_VIEWER, or TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated

Filter Tenant Accounts by Infrastructure Provider ID. Deprecated: Infrastructure Provider is now inferred from the org’s membership.

tenantIdstringOptionalformat: "uuid"
Filter Tenant Accounts by Tenant ID
querystringOptional
Search string to filter Tenant Accounts by account number, tenant org, or tenant org display name
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Tenant Account
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider
infrastructureProviderOrgstringOptional
Organization name of the Infrastructure Provider
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant
tenantOrgstring or nullOptional
Org of the Tenant
tenantContactobjectOptional
Contact user for the Tenant
allocationCountintegerOptional
Number of Allocations for the Tenant Account
statusenumOptional
Status of the Tenant Account
statusHistorylist of objectsOptional
Chronological status history for the Tenant Account
deprecationslist of objectsOptional
Deprecations active for this resource. Returned only if there are active deprecations.
createddatetimeOptionalRead-only

Date/time when the Tenant Account was created

updateddatetimeOptionalRead-only

Date/time when the Tenant Account was last updated

siteCapabilitieslist of objectsOptional

Provider-scoped TargetedInstanceCreation settings for this Tenant Account. Replaces the deprecated tenant-level capabilities.targetedInstanceCreation attribute.

When present on a Tenant Account response, the array always includes one entry with omitted siteIds derived from TenantAccount.config, followed by zero or more entries with siteIds for per-site overrides that differ from the account default.

Errors

403
Forbidden Error